Bug 44366 - [patch] POIFSFileSystem does not close input stream
[patch] POIFSFileSystem does not close input stream
Status: RESOLVED FIXED
Product: POI
Classification: Unclassified
Component: POIFS
3.0-dev
Other other
: P2 normal (vote)
: ---
Assigned To: POI Developers List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2008-02-05 23:44 UTC by Josh Micich
Modified: 2008-02-21 07:36 UTC (History)
0 users



Attachments
svn diff showing changes to 6 files (7.50 KB, patch)
2008-02-05 23:46 UTC, Josh Micich
Details | Diff
tar bz2 of 9 files (1 test case and 8 test suites) (3.35 KB, patch)
2008-02-05 23:47 UTC, Josh Micich
Details | Diff
svn diff of one modified file: POIFSFileSystem.java (6.83 KB, patch)
2008-02-15 18:46 UTC, Josh Micich
Details | Diff
tar bz2 of one added test case (1.90 KB, application/octet-stream)
2008-02-15 18:47 UTC, Josh Micich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Josh Micich 2008-02-05 23:44:02 UTC
Added try/finally code to POIFSFileSystem constructor to close input stream. 
Added junit.

Added comment to HSSFWorkbook to make this behaviour clear.

Added full hierarchy of test suites to aggregate all POI tests.

Fixed excluded junit TestEmptyDocument, and added to suite.

Updated build.xml to include TestEmptyDocument and mask out new Test Suite 
classes (naming convention: All*Tests.java).
Comment 1 Josh Micich 2008-02-05 23:46:10 UTC
Created attachment 21480 [details]
svn diff showing changes to 6 files
Comment 2 Josh Micich 2008-02-05 23:47:32 UTC
Created attachment 21481 [details]
tar bz2 of 9 files (1 test case and 8 test suites)
Comment 3 Nick Burch 2008-02-06 03:41:40 UTC
I think we'll want to discuss this one on dev@ first

Can you do a post about why you think this change should be made, what affects
it'll have on existing code etc? We can then decide about going ahead with it.
Comment 4 Josh Micich 2008-02-15 18:46:58 UTC
Created attachment 21543 [details]
svn diff of one modified file: POIFSFileSystem.java
Comment 5 Josh Micich 2008-02-15 18:47:32 UTC
Created attachment 21544 [details]
tar bz2 of one added test case
Comment 6 Nick Burch 2008-02-21 07:36:08 UTC
Thanks for this updated patch Josh. Now applied to svn trunk